#include "mesh.h"
#include "render/renderapi.h"
namespace engineapi {
	Mesh::Mesh(string name, uint32_t flags, parray<Vertex>& vertices, vector<uint32_t>& indices)
		:Asset(name, flags)
		,mVertices(vertices)
		,mIndices(indices)
	{
		BeginLoad();
	}
	void Mesh::BeginLoad()
	{
		Asset::BeginLoad();
		RenderAPI::GetSingletonPtr()->SetStaticMesh(this);
	}
}
